Index: squid/contrib/chpasswd/Russian.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/Russian.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/chpasswd/Russian.h	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/Russian.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -1,116 +1,131 @@
-/* Russian language added by Andrew <andrew@extrim.ru> */
-
-#if defined(Russian)
-
-char *msg01 = "îÅÔ ÐÒÁ× ÄÌÑ ÚÁÐÉÓÉ × ÆÁÊÌ ÐÁÒÏÌÅÊ:";
-char *msg02 = "îÏ×ÙÊ ÐÁÒÏÌØ ÎÅ ÚÁÄÁÎ ÉÌÉ ÍÅÎÅÅ";
-char *msg03 = "ÓÉÍ×ÏÌÏ×.";
-char *msg04 = "îÏ×ÙÊ ÐÁÒÏÌØ ÂÏÌÅÅ";
-char *msg05 = "ðÏÖÁÌÕÊÓÔÁ, ÎÅ ÉÓÐÏÌØÚÕÊÔÅ ÔÏÔ ÖÅ ÓÁÍÙÊ ÐÁÒÏÌØ. ðÁÒÏÌØ ÎÅ ÉÚÍÅÎÅÎ.";
-char *msg06 = "îÏ×ÙÊ ÐÁÒÏÌØ É ÐÏÄÔ×ÅÒÖÄÅÎÉÅ ÎÅ ÓÏ×ÐÁÄÁÀÔ.";
-char *msg07 = "îÅ×ÏÚÍÏÖÎÏ ÏÔËÒÙÔØ ÆÁÊÌ ÐÁÒÏÌÅÊ:";
-char *msg08 = "îÅ×ÏÚÍÏÖÎÏ ÏÔËÒÙÔØ ×ÒÅÍÅÎÎÙÊ ÆÁÊÌ.";
-char *msg09 = "îÅ×ÅÒÎÙÊ ÐÁÒÏÌØ ÐÏÌØÚÏ×ÁÔÅÌÑ:";
-char *msg10 = "ðÁÒÏÌØ ÎÅ ÂÙÌ ÉÚÍÅÎÅÎ.";
-char *msg11 = "õÓÐÅÛÎÏ ÉÚÍÅÎÅÎ ÐÁÒÏÌØ ÐÏÌØÚÏ×ÁÔÅÌÑ";
-char *msg12 = "";
-char *msg13 = "ðÏÌØÚÏ×ÁÔÅÌØ:";
-char *msg14 = "ÎÅ ÎÁÊÄÅÎ.";
-char *msg15 = "îÅ×ÏÚÍÏÖÎÏ ÏÔËÒÙÔØ ÆÁÊÌ ËÏÎÆÉÇÕÒÁÃÉÉ:";
-char *msg16 = "îÅ×ÏÚÍÏÖÎÏ ÏÔËÒÙÔØ log-ÆÁÊÌ:";
-char *msg17 = "îÅ×ÅÒÎÙÊ ÎÏ×ÙÊ ÐÁÒÏÌØ.";
-char *msg18 = "ðÏÖÁÌÕÊÓÔÁ, ÐÏÌØÚÕÊÔÅÓØ ÓÌÅÄÕÀÝÉÍÉ ÐÒÁ×ÉÌÁÍÉ ÄÌÑ ÉÚÍÅÎÅÎÉÑ ÐÁÒÏÌÑ:";
-char *msg19 = "íÉÎÉÍÁÌØÎÏÅ ËÏÌÉÞÅÓÔ×Ï ÂÕË× (a-z, A-Z)";
-char *msg20 = "íÉÎÉÍÁÌØÎÏÅ ËÏÌÉÞÅÓÔ×Ï ÃÉÆÒ (0-9)";
-char *msg21 = "íÉÎÉÍÁÌØÎÏÅ ËÏÌÉÞÅÓÔ×Ï ÓÐÅÃÓÉÍ×ÏÌÏ× (Ó ËÌÁ×ÉÁÔÕÒÙ)";
-char *msg22 = "éÚÍÅÎÅÎÉÅ ÐÁÒÏÌÑ ÕÞÅÔÎÏÊ ÚÁÐÉÓÉ ÐÒÏËÓÉ ÓÅÒ×ÅÒÁ Squid";
-char *msg23 = "÷ÌÁÄÅÌØÃÅÍ ÆÁÊÌÁ Á×ÔÏÒÉÚÁÃÉÉ ÄÏÌÖÅÔ ÂÙÔØ root. ðÏÖÁÌÕÊÓÔÁ, ÞÉÔÁÊÔÅ README.";
-char *msg24 = "íÁÓËÁ ÄÏÓÔÕÐÁ Ë ÆÁÊÌÕ Á×ÔÏÒÉÚÁÃÉÉ ÄÏÌÖÎÁ ÂÙÔØ 755. ðÏÖÁÌÕÊÓÔÁ, ÞÉÔÁÊÔÅ README.";
-char *msg25 = "îÅ×ÏÚÍÏÖÎÏ ÏÔËÒÙÔØ ÆÁÊÌ Á×ÔÏÒÉÚÁÃÉÉ.";
-char *msg26 = "õ ÷ÁÓ ÎÅÔ ÐÒÁ× ÄÌÑ ÉÚÍÅÎÅÎÉÑ ÐÁÒÏÌÑ.";
-char *msg27 = "æÁÊÌ Á×ÔÏÒÉÚÁÃÉÉ ÎÅ ÎÁÊÄÅÎ.";
-
-static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
-{
-
-  char rules[255] = "<li>ïÇÒÁÎÉÞÅÎÉÅ ÎÁ ÓÉÍ×ÏÌÙ:";
-  char wrules[255];
-  int  frules=0;
-
-  printf("Content-type: text/html\n");
-  puts("\n");
-  printf("<html>\n");
-  printf("<head>\n");
-  printf("  <title>éÚÍÅÎÅÎÉÅ ÐÁÒÏÌÑ ÄÏÓÔÕÐÁ Ë Squid</title>\n");
-  printf("</head>\n");
-  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
-
-  if(strlen(logo) > 0)
-     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
-   else
-     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
-
-  printf("éÚ ÓÏÏÂÒÁÖÅÎÉÊ ÂÅÚÏÐÁÓÎÏÓÔÉ, ÚÁÐÏÍÎÉÔÅ ÓÌÅÄÕÀÝÉÅ ÐÒÁ×ÉÌÁ ÉÚÍÅÎÅÎÉÑ ÐÁÒÏÌÑ:\n");
-  printf("<ul>\n");
-  printf("<li>ðÒÉ ××ÏÄÅ ÎÏ×ÏÇÏ ÐÁÒÏÌÑ ÒÁÚÌÉÞÁÀÔÓÑ ÍÁÌÅÎØËÉÅ É ÂÏÌØÛÉÅ ÂÕË×Ù, Ô.Å. 'A' ÎÅ ÔÏ ÖÅ ÓÁÍÏÅ, ÞÔÏ 'a'.<br>\n");
-  printf("<li>÷Ù ÍÏÖÅÔÅ ÉÓÐÏÌØÚÏ×ÁÔØ ÂÕË×Ù, ÃÉÆÒÙ É ÄÒÕÇÉÅ ÓÐÅÃÉÁÌØÎÙÅ ÓÉÍ×ÏÌÙ ÎÁ ×ÁÛÅÊ ËÌÁ×ÉÁÔÕÒÅ.<br>\n");
-  printf("<li>ðÒÁ×ÉÌÁ ÄÌÑ ÎÏ×ÏÇÏ ÐÁÒÏÌÑ:<br>");
-  printf("<ul><li>äÌÉÎÁ: ÍÉÎÉÍÕÍ <font color=%s><b>%s</b></font>, ÍÁËÓÉÍÕÍ <font color=%s><b>%s</b></font> ÓÉÍ×ÏÌÏ×.<br>\n",rucolor,minlen,rucolor,maxlen);
-
-  if(strcmp(minchar,"0") != 0) {
-     sprintf(wrules," ÂÕË×Ù (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minnum,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," ÃÉÆÒÙ (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minspec,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," ÓÐÅÃÉÁÌØÎÙÅ ÓÉÍ×ÏÌÙ (Ó ËÌÁ×ÉÁÔÕÒÙ):<font color=%s><b> %s</b></font>",rucolor,minspec);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(!frules){
-     sprintf(wrules,"<font color=%s><b> Ó×ÏÂÏÄÎÙÊ ×ÙÂÏÒ</b></font>",rucolor);
-     strcat(rules,wrules);
-  }
-  strcat(rules,"<br>");
-  printf(rules);
-  printf("</ul>\n");
-
-  printf("<li>÷ÁÛ ÎÏ×ÙÊ ÐÁÒÏÌØ ×ÓÔÕÐÉÔ × ÓÉÌÕ ÎÅ ÐÏÚÄÎÅÅ, ÞÅÍ ÞÅÒÅÚ 15 ÍÉÎÕÔ.\n");
-  printf("</ul>\n");
-  printf("<form action='chpasswd.cgi' method=POST>\n");
-  printf("<center>\n");
-  printf("<hr noshade>\n");
-  printf("<table cellpadding=0 cellspacing=0>\n");
-  printf("  <tr><td align=right>éÍÑ ÷ÁÛÅÊ ÕÞÅÔÎÏÊ ÚÁÐÉÓÉ\n");
-  printf("      <td><input type=text name=user size=10>\n");
-  printf("  <tr><td align=right>÷ÁÛ ÔÅËÕÛÉÊ ÐÁÒÏÌØ:\n");
-  printf("      <td><input type=password name=old_pw size=%s>\n",maxlen);
-  printf("  <tr><td align=right>îÏ×ÙÊ ÐÁÒÏÌØ:\n");
-  printf("      <td><input type=password name=new_pw1 size=%s>\n",maxlen);
-  printf("  <tr><td align=right>ðÏÄÔ×ÅÒÄÉÔÅ ÎÏ×ÙÊ ÐÁÒÏÌØ:\n");
-  printf("      <td><input type=password name=new_pw2 size=%s>\n",maxlen);
-  printf("</table>\n");
-  printf("<hr noshade>\n");
-  printf("<input type=submit name=change value='éÚÍÅÎÉÔØ ÍÏÊ ÐÁÒÏÌØ'>\n");
-  printf("<input type=reset name=reset value='ïÞÉÓÔÉÔØ ×ÓÅ ÐÏÌÑ'>\n");
-  printf("<input type=submit name=cancel value='ïÔÍÅÎÁ'>\n");
-  printf("</center>\n");
-  printf("</form>\n");
-  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
-  printf("</body>\n");
-  printf("</html>\n");
-
-  fflush(stdout);
-  return;
-
-}
-#endif
+/* Russian language added by Andrew <andrew@extrim.ru> */  
+    
+#if defined(Russian)
+char *msg02 = "îÏ×ÙÊ ÐÁÒÏÌØ ÎÅ ÚÁÄÁÎ ÉÌÉ ÍÅÎÅÅ";
+char *msg03 = "ÓÉÍ×ÏÌÏ×.";
+char *msg04 = "îÏ×ÙÊ ÐÁÒÏÌØ ÂÏÌÅÅ";
+char *msg05 = "ðÏÖÁÌÕÊÓÔÁ, ÎÅ ÉÓÐÏÌØÚÕÊÔÅ ÔÏÔ ÖÅ ÓÁÍÙÊ ÐÁÒÏÌØ. ðÁÒÏÌØ ÎÅ ÉÚÍÅÎÅÎ.";
+char *msg06 = "îÏ×ÙÊ ÐÁÒÏÌØ É ÐÏÄÔ×ÅÒÖÄÅÎÉÅ ÎÅ ÓÏ×ÐÁÄÁÀÔ.";
+char *msg07 = "îÅ×ÏÚÍÏÖÎÏ ÏÔËÒÙÔØ ÆÁÊÌ ÐÁÒÏÌÅÊ:";
+char *msg08 = "îÅ×ÏÚÍÏÖÎÏ ÏÔËÒÙÔØ ×ÒÅÍÅÎÎÙÊ ÆÁÊÌ.";
+char *msg09 = "îÅ×ÅÒÎÙÊ ÐÁÒÏÌØ ÐÏÌØÚÏ×ÁÔÅÌÑ:";
+char *msg10 = "ðÁÒÏÌØ ÎÅ ÂÙÌ ÉÚÍÅÎÅÎ.";
+char *msg11 = "õÓÐÅÛÎÏ ÉÚÍÅÎÅÎ ÐÁÒÏÌØ ÐÏÌØÚÏ×ÁÔÅÌÑ";
+char *msg12 = "";
+char *msg13 = "ðÏÌØÚÏ×ÁÔÅÌØ:";
+char *msg14 = "ÎÅ ÎÁÊÄÅÎ.";
+char *msg15 = "îÅ×ÏÚÍÏÖÎÏ ÏÔËÒÙÔØ ÆÁÊÌ ËÏÎÆÉÇÕÒÁÃÉÉ:";
+char *msg16 = "îÅ×ÏÚÍÏÖÎÏ ÏÔËÒÙÔØ log-ÆÁÊÌ:";
+char *msg17 = "îÅ×ÅÒÎÙÊ ÎÏ×ÙÊ ÐÁÒÏÌØ.";
+char *msg18 = "ðÏÖÁÌÕÊÓÔÁ, ÐÏÌØÚÕÊÔÅÓØ ÓÌÅÄÕÀÝÉÍÉ ÐÒÁ×ÉÌÁÍÉ ÄÌÑ ÉÚÍÅÎÅÎÉÑ ÐÁÒÏÌÑ:";
+char *msg19 = "íÉÎÉÍÁÌØÎÏÅ ËÏÌÉÞÅÓÔ×Ï ÂÕË× (a-z, A-Z)";
+char *msg20 = "íÉÎÉÍÁÌØÎÏÅ ËÏÌÉÞÅÓÔ×Ï ÃÉÆÒ (0-9)";
+char *msg21 = "íÉÎÉÍÁÌØÎÏÅ ËÏÌÉÞÅÓÔ×Ï ÓÐÅÃÓÉÍ×ÏÌÏ× (Ó ËÌÁ×ÉÁÔÕÒÙ)";
+char *msg22 = "éÚÍÅÎÅÎÉÅ ÐÁÒÏÌÑ ÕÞÅÔÎÏÊ ÚÁÐÉÓÉ ÐÒÏËÓÉ ÓÅÒ×ÅÒÁ Squid";
+char *msg23 = "÷ÌÁÄÅÌØÃÅÍ ÆÁÊÌÁ Á×ÔÏÒÉÚÁÃÉÉ ÄÏÌÖÅÔ ÂÙÔØ root. ðÏÖÁÌÕÊÓÔÁ, ÞÉÔÁÊÔÅ README.";
+char *msg24 = "íÁÓËÁ ÄÏÓÔÕÐÁ Ë ÆÁÊÌÕ Á×ÔÏÒÉÚÁÃÉÉ ÄÏÌÖÎÁ ÂÙÔØ 755. ðÏÖÁÌÕÊÓÔÁ, ÞÉÔÁÊÔÅ README.";
+char *msg25 = "îÅ×ÏÚÍÏÖÎÏ ÏÔËÒÙÔØ ÆÁÊÌ Á×ÔÏÒÉÚÁÃÉÉ.";
+char *msg26 = "õ ÷ÁÓ ÎÅÔ ÐÒÁ× ÄÌÑ ÉÚÍÅÎÅÎÉÑ ÐÁÒÏÌÑ.";
+char *msg27 = "æÁÊÌ Á×ÔÏÒÉÚÁÃÉÉ ÎÅ ÎÁÊÄÅÎ.";
+
+static void
+UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
+    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
+    char *width, char *height, char *header, char *bgimage)
+{
+
+    char rules[255] = "<li>ïÇÒÁÎÉÞÅÎÉÅ ÎÁ ÓÉÍ×ÏÌÙ:";
+    char wrules[255];
+    int frules = 0;
+
+    printf("Content-type: text/html\n");
+    puts("\n");
+    printf("<html>\n");
+    printf("<head>\n");
+    printf("  <title>éÚÍÅÎÅÎÉÅ ÐÁÒÏÌÑ ÄÏÓÔÕÐÁ Ë Squid</title>\n");
+    printf("</head>\n");
+    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
+	bgimage);
+
+    if (strlen(logo) > 0)
+	printf
+	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
+	    logo, width, height, ticolor, header);
+    else
+	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
+
+    printf
+	("éÚ ÓÏÏÂÒÁÖÅÎÉÊ ÂÅÚÏÐÁÓÎÏÓÔÉ, ÚÁÐÏÍÎÉÔÅ ÓÌÅÄÕÀÝÉÅ ÐÒÁ×ÉÌÁ ÉÚÍÅÎÅÎÉÑ ÐÁÒÏÌÑ:\n");
+    printf("<ul>\n");
+    printf
+	("<li>ðÒÉ ××ÏÄÅ ÎÏ×ÏÇÏ ÐÁÒÏÌÑ ÒÁÚÌÉÞÁÀÔÓÑ ÍÁÌÅÎØËÉÅ É ÂÏÌØÛÉÅ ÂÕË×Ù, Ô.Å. 'A' ÎÅ ÔÏ ÖÅ ÓÁÍÏÅ, ÞÔÏ 'a'.<br>\n");
+    printf
+	("<li>÷Ù ÍÏÖÅÔÅ ÉÓÐÏÌØÚÏ×ÁÔØ ÂÕË×Ù, ÃÉÆÒÙ É ÄÒÕÇÉÅ ÓÐÅÃÉÁÌØÎÙÅ ÓÉÍ×ÏÌÙ ÎÁ ×ÁÛÅÊ ËÌÁ×ÉÁÔÕÒÅ.<br>\n");
+    printf("<li>ðÒÁ×ÉÌÁ ÄÌÑ ÎÏ×ÏÇÏ ÐÁÒÏÌÑ:<br>");
+    printf
+	("<ul><li>äÌÉÎÁ: ÍÉÎÉÍÕÍ <font color=%s><b>%s</b></font>, ÍÁËÓÉÍÕÍ <font color=%s><b>%s</b></font> ÓÉÍ×ÏÌÏ×.<br>\n",
+	rucolor, minlen, rucolor, maxlen);
+
+    if (strcmp(minchar, "0") != 0) {
+	sprintf(wrules, " ÂÕË×Ù (a-z, A-Z):<font color=%s><b> %s</b></font>",
+	    rucolor, minchar);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minnum, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules, " ÃÉÆÒÙ (0-9):<font color=%s><b> %s</b></font>",
+	    rucolor, minnum);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minspec, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules,
+	    " ÓÐÅÃÉÁÌØÎÙÅ ÓÉÍ×ÏÌÙ (Ó ËÌÁ×ÉÁÔÕÒÙ):<font color=%s><b> %s</b></font>",
+	    rucolor, minspec);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (!frules) {
+	sprintf(wrules, "<font color=%s><b> Ó×ÏÂÏÄÎÙÊ ×ÙÂÏÒ</b></font>",
+	    rucolor);
+	strcat(rules, wrules);
+    }
+    strcat(rules, "<br>");
+    printf(rules);
+    printf("</ul>\n");
+
+    printf
+	("<li>÷ÁÛ ÎÏ×ÙÊ ÐÁÒÏÌØ ×ÓÔÕÐÉÔ × ÓÉÌÕ ÎÅ ÐÏÚÄÎÅÅ, ÞÅÍ ÞÅÒÅÚ 15 ÍÉÎÕÔ.\n");
+    printf("</ul>\n");
+    printf("<form action='chpasswd.cgi' method=POST>\n");
+    printf("<center>\n");
+    printf("<hr noshade>\n");
+    printf("<table cellpadding=0 cellspacing=0>\n");
+    printf("  <tr><td align=right>éÍÑ ÷ÁÛÅÊ ÕÞÅÔÎÏÊ ÚÁÐÉÓÉ\n");
+    printf("      <td><input type=text name=user size=10>\n");
+    printf("  <tr><td align=right>÷ÁÛ ÔÅËÕÛÉÊ ÐÁÒÏÌØ:\n");
+    printf("      <td><input type=password name=old_pw size=%s>\n", maxlen);
+    printf("  <tr><td align=right>îÏ×ÙÊ ÐÁÒÏÌØ:\n");
+    printf("      <td><input type=password name=new_pw1 size=%s>\n", maxlen);
+    printf("  <tr><td align=right>ðÏÄÔ×ÅÒÄÉÔÅ ÎÏ×ÙÊ ÐÁÒÏÌØ:\n");
+    printf("      <td><input type=password name=new_pw2 size=%s>\n", maxlen);
+    printf("</table>\n");
+    printf("<hr noshade>\n");
+    printf("<input type=submit name=change value='éÚÍÅÎÉÔØ ÍÏÊ ÐÁÒÏÌØ'>\n");
+    printf("<input type=reset name=reset value='ïÞÉÓÔÉÔØ ×ÓÅ ÐÏÌÑ'>\n");
+    printf("<input type=submit name=cancel value='ïÔÍÅÎÁ'>\n");
+    printf("</center>\n");
+    printf("</form>\n");
+    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
+    printf("</body>\n");
+    printf("</html>\n");
+
+    fflush(stdout);
+    return;
+
+}
+#endif
Index: squid/contrib/chpasswd/Spanish.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/Spanish.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/chpasswd/Spanish.h	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/Spanish.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -1,12 +1,13 @@
 /* Spanish language added by Horacio Diaz Requejo <horacio@edg.net.mx> */
-
 #if defined(Spanish)
-
-char *msg01 = "El archivo de contrase&ntilde;as no tiene permisos para ser modificado:";
-char *msg02 = "La nueva contrase&ntilde;a es muy peque&ntilde;a (tiene menos de";
+char *msg01 =
+    "El archivo de contrase&ntilde;as no tiene permisos para ser modificado:";
+char *msg02 =
+    "La nueva contrase&ntilde;a es muy peque&ntilde;a (tiene menos de";
 char *msg03 = "caracteres).";
 char *msg04 = "La nueva contrase&ntilde;a es muy grande (tiene mas de";
-char *msg05 = "Porfavor, no use la misma contrase&ntilde;a que tenia anteriormente";
+char *msg05 =
+    "Porfavor, no use la misma contrase&ntilde;a que tenia anteriormente";
 char *msg06 = "La nueva contrase&ntilde;a no coincide en ambos campos.";
 char *msg07 = "No pudo abrir el archivo de contrase&ntilde;as:";
 char *msg08 = "No se pudo crear un archivo temporal.";
@@ -19,98 +20,122 @@
 char *msg15 = "No pudo abrir el archivo de configuraci&oacute;n:";
 char *msg16 = "No se pudo abrir el archivo de logs:";
 char *msg17 = "La nueva contrasena es inv&aacute;lida.";
-char *msg18 = "Porfavor, utilize las siguientes reglas para contruir su nueva contrase&ntilde;a:";
+char *msg18 =
+    "Porfavor, utilize las siguientes reglas para contruir su nueva contrase&ntilde;a:";
 char *msg19 = "Utilize cualquiera de los siguientes caracteres (a-z, A-Z)";
 char *msg20 = "Utilize n&uacute;meros (0-9)";
 char *msg21 = "Utilize caracteres especiales (/,-,$,%,^,etc)";
 char *msg22 = "Cambiando la contrase&ntilde;a de navegaci&oacute;n en Internet";
-char *msg23 = "El archivo de autorizaci&oacute;n debe pertenecer a root. Porfavor lea el README.";
-char *msg24 = "Los permisos del archivo de autorizaci&oacute;n son incorrectos (deben ser 755). Porfavor lea el README.";
+char *msg23 =
+    "El archivo de autorizaci&oacute;n debe pertenecer a root. Porfavor lea el README.";
+char *msg24 =
+    "Los permisos del archivo de autorizaci&oacute;n son incorrectos (deben ser 755). Porfavor lea el README.";
 char *msg25 = "No se pudo abrir el archivo de autorizaci&oacute;n.";
 char *msg26 = "Usted no esta autorizado a cambiar contrase&ntilde;as.";
 char *msg27 = "No se encontro el archivo de autorizaci&oacute;n.";
 
-static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
+static void
+UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
+    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
+    char *width, char *height, char *header, char *bgimage)
 {
 
-  char rules[255] = "<li>Sintaxis del password:";
-  char wrules[255];
-  int  frules=0;
-
-  printf("Content-type: text/html\n");
-  puts("\n");
-  printf("<html>\n");
-  printf("<head>\n");
-  printf("  <title>Cambio de contrase&ntilde;a para navegar en internet</title>\n");
-  printf("</head>\n");
-  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
-
-  if(strlen(logo) > 0)
-     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
-   else
-     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
-
-  printf("Por razones de seguridad, recuerde utilizar las siguientes reglas al momento de elegir su nueva contrase&ntilde;a:\n");
-  printf("<ul>\n");
-  printf("<li>La contrase&ntilde;a es sensitiva a las may&uacute;sculas y min&uacute;sculas, es decir, una  'A' no es igual a una 'a'.<br>\n");
-  printf("<li>Al seleccionar su nueva contrase&ntilde;a debe utilizar letras, n&uacute;meros y caractares especiales.<br>\n");
-  printf("<li>Reglas para crear su nueva contrase&ntilde;a:<br>");
-  printf("<ul><li>Longitud de la contrase&ntilde;a: minimo <font color=%s><b>%s</b></font>, maximo <font color=%s><b>%s</b></font> de caracteres.<br>\n",rucolor,minlen,rucolor,maxlen);
-
-  if(strcmp(minchar,"0") != 0) {
-     sprintf(wrules," caracteres (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minnum,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," n&uacute;meros (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minspec,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," caracteres especiales (#,/,-,etc):<font color=%s><b> %s</b></font>",rucolor,minspec);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(!frules){
-     sprintf(wrules,"<font color=%s><b> A elecci&oacute;n libre</b></font>",rucolor);
-     strcat(rules,wrules);
-  }
-  strcat(rules,"<br>");
-  printf(rules);
-  printf("</ul>\n");
-
-  printf("<li>El nuevo password comenzar&aacute; a funcionar aproximadamente en 15 minutos.\n");
-  printf("</ul>\n");
-  printf("<form action='chpasswd.cgi' method=POST>\n");
-  printf("<center>\n");
-  printf("<hr noshade>\n");
-  printf("<table cellpadding=0 cellspacing=0>\n");
-  printf("  <tr><td align=right>Cuenta de acceso a Internet:\n");
-  printf("      <td><input type=text name=user size=10>\n");
-  printf("  <tr><td align=right>Su contrase&ntilde;a actual:\n");
-  printf("      <td><input type=password name=old_pw size=%s>\n",maxlen);
-  printf("  <tr><td align=right>Su nueva contrase&ntilde;a:\n");
-  printf("      <td><input type=password name=new_pw1 size=%s>\n",maxlen);
-  printf("  <tr><td align=right>Reescriba su nueva contrase&ntilde;a:\n");
-  printf("      <td><input type=password name=new_pw2 size=%s>\n",maxlen);
-  printf("</table>\n");
-  printf("<hr noshade>\n");
-  printf("<input type=submit name=change value='Cambiar la contrase&ntilde;a'>\n");
-  printf("<input type=reset name=reset value='Borrar todo'>\n");
-  printf("<input type=submit name=cancel value='Cancelar'>\n");
-  printf("</center>\n");
-  printf("</form>\n");
-  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
-  printf("</body>\n");
-  printf("</html>\n");
+    char rules[255] = "<li>Sintaxis del password:";
+    char wrules[255];
+    int frules = 0;
+
+    printf("Content-type: text/html\n");
+    puts("\n");
+    printf("<html>\n");
+    printf("<head>\n");
+    printf
+	("  <title>Cambio de contrase&ntilde;a para navegar en internet</title>\n");
+    printf("</head>\n");
+    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
+	bgimage);
+
+    if (strlen(logo) > 0)
+	printf
+	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
+	    logo, width, height, ticolor, header);
+    else
+	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
+
+    printf
+	("Por razones de seguridad, recuerde utilizar las siguientes reglas al momento de elegir su nueva contrase&ntilde;a:\n");
+    printf("<ul>\n");
+    printf
+	("<li>La contrase&ntilde;a es sensitiva a las may&uacute;sculas y min&uacute;sculas, es decir, una  'A' no es igual a una 'a'.<br>\n");
+    printf
+	("<li>Al seleccionar su nueva contrase&ntilde;a debe utilizar letras, n&uacute;meros y caractares especiales.<br>\n");
+    printf("<li>Reglas para crear su nueva contrase&ntilde;a:<br>");
+    printf
+	("<ul><li>Longitud de la contrase&ntilde;a: minimo <font color=%s><b>%s</b></font>, maximo <font color=%s><b>%s</b></font> de caracteres.<br>\n",
+	rucolor, minlen, rucolor, maxlen);
+
+    if (strcmp(minchar, "0") != 0) {
+	sprintf(wrules,
+	    " caracteres (a-z, A-Z):<font color=%s><b> %s</b></font>", rucolor,
+	    minchar);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minnum, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules,
+	    " n&uacute;meros (0-9):<font color=%s><b> %s</b></font>", rucolor,
+	    minnum);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minspec, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules,
+	    " caracteres especiales (#,/,-,etc):<font color=%s><b> %s</b></font>",
+	    rucolor, minspec);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (!frules) {
+	sprintf(wrules, "<font color=%s><b> A elecci&oacute;n libre</b></font>",
+	    rucolor);
+	strcat(rules, wrules);
+    }
+    strcat(rules, "<br>");
+    printf(rules);
+    printf("</ul>\n");
+
+    printf
+	("<li>El nuevo password comenzar&aacute; a funcionar aproximadamente en 15 minutos.\n");
+    printf("</ul>\n");
+    printf("<form action='chpasswd.cgi' method=POST>\n");
+    printf("<center>\n");
+    printf("<hr noshade>\n");
+    printf("<table cellpadding=0 cellspacing=0>\n");
+    printf("  <tr><td align=right>Cuenta de acceso a Internet:\n");
+    printf("      <td><input type=text name=user size=10>\n");
+    printf("  <tr><td align=right>Su contrase&ntilde;a actual:\n");
+    printf("      <td><input type=password name=old_pw size=%s>\n", maxlen);
+    printf("  <tr><td align=right>Su nueva contrase&ntilde;a:\n");
+    printf("      <td><input type=password name=new_pw1 size=%s>\n", maxlen);
+    printf("  <tr><td align=right>Reescriba su nueva contrase&ntilde;a:\n");
+    printf("      <td><input type=password name=new_pw2 size=%s>\n", maxlen);
+    printf("</table>\n");
+    printf("<hr noshade>\n");
+    printf
+	("<input type=submit name=change value='Cambiar la contrase&ntilde;a'>\n");
+    printf("<input type=reset name=reset value='Borrar todo'>\n");
+    printf("<input type=submit name=cancel value='Cancelar'>\n");
+    printf("</center>\n");
+    printf("</form>\n");
+    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
+    printf("</body>\n");
+    printf("</html>\n");
 
-  fflush(stdout);
-  return;
+    fflush(stdout);
+    return;
 
 }
 #endif
